/*
 * This software is the proprietary information of nico3000.
 */
package gui.components;

import org.lwjgl.input.Keyboard;

/**
 *
 * @author nico3000
 */
public class Button extends Component {
    protected String text;
    protected boolean pressed = false;

    public Button(String text) {
        super(REPAINT_ON_NULL_TEXTURE | REPAINT_ON_RESIZE);
        this.text = text;
    }

    @Override
    public void onButtonDown(int button, int x, int y) {
        if(button == 0) {
            this.pressed = true;
            this.needsRepaint();
        }
    }

    @Override
    public void onButtonUp(int button, int x, int y, boolean clicked) {
        if(button == 0) {
            this.pressed = false;
            if(this.isHovered()) {
                this.fireAction();
            }
            this.needsRepaint();
        }
    }    
    
    @Override
    protected void repaint() {
        this.setTexture(this.getGui().getDrawer().createButton(this.text, this.getWidth(), this.getHeight(), this.isFocused(), this.isHovered(), this.isHovered() && this.pressed & this.isHovered()));
    }

    @Override
    public boolean onKeyDown(int key, char c) {
        if(key == Keyboard.KEY_RETURN) {
            this.pressed = true;
            this.needsRepaint();
            return true;
        } else {
            return false;
        }
    }

    @Override
    public boolean onKeyUp(int key) {
        if(key == Keyboard.KEY_RETURN && this.pressed) {
            this.pressed = false;
            this.fireAction();
            this.needsRepaint();
            return true;
        } else {
            return false;
        }
    }
}
