/*
 * Copyright (C) 2013 nico3000 - All Rights Reserved
 */
package resource.loader;

import resource.ResHandle;

/**
 * Ein ResourceLoader, der den Inhalt einer Datei in einen ByteBuffer schreibt.
 * @author nico3000
 */
public class DefaultResourceLoader implements ResourceLoader {

    @Override
    public String getPattern() {
        return "(.*)";
    }

    @Override
    public boolean useRawFile() {
        return true;
    }

    @Override
    public int getLoadedResourceSize(byte buffer[], int rawSize) {
        return rawSize;
    }

    @Override
    public boolean loadResource(byte buffer[], int rawSize, ResHandle handle) {
        return true;
    }
    
}
